#include <bits/stdc++.h>
using namespace std;

    int n,mesto,siz,mesto2,kol,os,op;
    string t;
int main(){
    cin >> t;
    siz=t.size();
    for(int i=0; i<=t.size(); i++){
        if(t.substr(i,1)!=t.substr(siz-1-i,1)){
            mesto=i+1;
            mesto2=siz-i;
            break;
        }
    }
    os=siz-1-mesto2;
    op=siz-mesto;
    kol=op-os;
    cout << kol << endl;
    return 0;
}